#include <stdio.h>

int main()
{
    int n,m;
    char s[2];
    scanf("%s",s);
    scanf("%d%d",&n,&m);
    int maxi=n;
    if (m>n) maxi=m;
    int mini=n+m-maxi;
    if (s[1]==s[0])
    {
        printf("nemoguce");
    }
    else if (maxi-mini>1) printf("nemoguce");
    else
    {
        if (n==maxi)
        {
            for (int i=0;i<mini;i++) printf("%c%c",s[0],s[1]);
            if (maxi>mini) printf("%c",s[0]);
        }
    }
}